# Interface VulkanImageMemoryBarrierType

All Known Implementing Classes:
  `VulkanImageMemoryBarrier`

@Immutable public interface VulkanImageMemoryBarrierType
Structure specifying the parameters of an image memory barrier.

See Also:
  - "VkImageMemoryBarrier"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<VulkanAccessFlag>`
  `dstAccessMask()`
  `VulkanQueueFamilyIndex`
  `dstQueueFamilyIndex()`
  `Set<VulkanPipelineStageFlag>`
  `dstStageMask()`
  `VulkanImageType`
  `image()`
  `VulkanImageLayout`
  `newLayout()`
  `VulkanImageLayout`
  `oldLayout()`
  `Set<VulkanAccessFlag>`
  `srcAccessMask()`
  `VulkanQueueFamilyIndex`
  `srcQueueFamilyIndex()`
  `Set<VulkanPipelineStageFlag>`
  `srcStageMask()`
  `VulkanImageSubresourceRange`
  `subresourceRange()`

- ## Method Details

  - ### srcStageMask

    Set<VulkanPipelineStageFlag> srcStageMask()
    Returns:
      The source stage mask

  - ### srcAccessMask

    Set<VulkanAccessFlag> srcAccessMask()
    Returns:
      The source access mask

  - ### dstStageMask

    Set<VulkanPipelineStageFlag> dstStageMask()
    Returns:
      The destination stage mask

  - ### dstAccessMask

    Set<VulkanAccessFlag> dstAccessMask()
    Returns:
      The destination access mask

  - ### oldLayout

    VulkanImageLayout oldLayout()
    Returns:
      The original image layout

  - ### newLayout

    VulkanImageLayout newLayout()
    Returns:
      The target image layout

  - ### srcQueueFamilyIndex

    VulkanQueueFamilyIndex srcQueueFamilyIndex()
    Returns:
      The source queue family for a queue family ownership transfer.

  - ### dstQueueFamilyIndex

    VulkanQueueFamilyIndex dstQueueFamilyIndex()
    Returns:
      The target queue family for a queue family ownership transfer.

  - ### image

    VulkanImageType image()
    Returns:
      The image affected by this barrier.

  - ### subresourceRange

    VulkanImageSubresourceRange subresourceRange()
    Returns:
      The image subresource range within image that is affected by this barrier.